-- Cerradon Source
-- Created by Raptr Studios
-- http://raptrstudios.weebly.com/
-- Remember to ask before using any of this code!

function calculate_collisions(x1, y1, x2, y2, w, h, code)
	if y1 + h > y2 and y1 < y2 + h and x1 + w > x2 and x1 < x2 + w then
		code()
	end
end

function jump_update(dt)
	if player_object.y_velocity ~= 0 then -- we're probably jumping
        player_object.y = player_object.y - player_object.y_velocity * dt -- dt means we wont move at
        -- different speeds if the game lags
        player_object.y_velocity = player_object.y_velocity - gravity * dt
        if player_object.y > 528 then -- we hit the ground again
            player_object.y_velocity = 0
            player_object.y = 528
        end
    end
end