-- Cerradon Source
-- Created by Raptr Studios
-- http://raptrstudios.weebly.com/
-- Remember to ask before using any of this code!

function draw_mainMenu()
	main_menu:draw(250, 200)
end

function draw_shopMenu()
	shop_menu:draw(250, 200)
end

function create_mainMenu()
	main_menu = menus.new()
	main_menu:addItem{
		name = 'Start Game',
		action = function()
			gamestate = 'world'
		end
	}
	main_menu:addItem{
		name = 'Quit',
		action = function()
			love.event.push('quit')
		end
	}
end

function create_shopMenu()
	shop_menu = menus.new()
	shop_menu:addItem{
		name = shop_table.truck.name.. ' - $' ..shop_table.truck.price,
		action = function()
			player_currency = player_currency - shop_table.truck.price
			truck_spawn()
		end
	}
	shop_menu:addItem{
		name = shop_table.robot.name.. ' - $' ..shop_table.robot.price,
		action = function()
			player_currency = player_currency - shop_table.robot.price
			robot_spawn()
		end
	}
end