-- Cerradon Source
-- Created by Raptr Studios
-- http://raptrstudios.weebly.com/
-- Remember to ask before using any of this code!

Player = {}

gravity = 400
jump_height = 300

function Player:new()
	player_object = {
		x = 2,
		y = 528,
		w = 16,
		h = 16,
		y_velocity = 0,
		speed = 100,
		health = 100,
		money = 0,
		power = 1,
		player_left = love.graphics.newImage('source/graphics/charactars/player_left.png'),
		player_right = love.graphics.newImage('source/graphics/charactars/player_right.png'),
		facing = 'idle',
	}
	setmetatable(player_object, { __index = Player})
	return player_object
end


function Player:update(dt)
	if love.keyboard.isDown('a') then
		player_object.x = player_object.x - player_object.speed * dt
		player_object.facing = 'left'
	end
	if love.keyboard.isDown('d') then
		player_object.x = player_object.x + player_object.speed * dt
		player_object.facing = 'right'
	end
	if player_object.x < 0 then
		player_object.x = 0
	end
end